SelfLinux Anwendungs-Software CD-Brennen cdrecord Abschnitt 3 | SelfLinux-0.13.0

| cdrecord | Autor Formatierung GFDL

#### 3 CD brennen

cdrecord ist wie mkisofs bei jeder Distribution dabei. Falls nicht, findet man es auf auch auf
ftp://ftp.berlios.de/pub/cdrecord/

#### 3.1 ISO-Image auf CD brennen

Der häufigste Fall Daten-CDs zu erstellen, ist das selbst gemachte ISO-Image auf eine CD zu brennen. Dafür genügt ein einfacher Befehl:

user@linux ~$ cdrecord -v speed=8 dev=0,0,0 /mnt/disk2/meineDaten.iso

Mit -v speed=8 veranlasst man den Brenner, mit 8x zu schreiben. Man sollte daran denken, die Geschwindigkeit nicht über die Möglichkeiten des Gerätes zu setzen.

Bei dev= gibt man die 3 Zahlen an, die einem cdrecord --scanbus liefert (siehe "kleine Tests" zu beginn des Textes). Am Schluss gibt man noch das ISO-Image an, das man brennen will.

Es gibt auch bei cdrecord noch zahlreiche Optionen:

-eject | CD wird nach dem Beschreiben ausgeworfen
-dummy | Der Schreibvorgang wird nur simuliert
-multi | Für Multisession-CDs immer angeben, ausser bei der letzten Session
-msinfo | Zeigt einem Informationen über Multisession-CDs an

#### 3.2 On-The-Fly CD kopieren

Bei cdrecord gibt es die Möglichkeit, Daten von der Standardeingabe zu lesen. So ist es möglich, auf das Schreiben eines ISO-Images zu verzichten. Damit die Daten ins richtige Format kommen, muss man aber trotzdem mkisofs verwenden:

user@linux ~$ mkisofs -R -T -V MeineCD /cdrom | cdrecord -v speed=8 dev=0,0,0 -

Dabei wird die Ausgabe von mkisofs nicht in eine Datei geschrieben, sondern durch die Pipe an cdrecord weitergereicht. Dies wiederum weiss dank dem -, das es von der Standardeingabe lesen muss.

So kann man nicht nur CDs direkt kopieren, sondern auch lokale Dateien. Dafür wird /cdrom durch den entsprechenden Pfad ersetzt.

#### 3.3 Audio-CDs

Fürs Erstellen von Audio-CDs braucht man die Option -audio. Damit kann man *.wav-Dateien auf die CD brennen. Zusätzlich braucht man noch -pad, das die Audio-Dateien auf ein Vielfaches von 2352 Byte setzt.

user@linux ~$ cdrecord -v speed=8 dev=0,0,0 -pad -audio lied1.wav lied2.wav

Die Lieder werden entsprechend ihrer Auflistung auf die CD gebrannt.

#### 3.4 CD-RW

Es ist auch möglich, CD-RWs zu beschreiben. Beschrieben wird wie bisher in den Beispielen genannt. Zum Löschen der CD-RW verwendet man blank=Methode. Es gibt momentan folgende Methoden:

help | Zeigt alle Möglichen Methoden an
all | Löscht die gesamte CD, kann also ein wenig dauern
fast | Schnelles Löschen. Dabei werden nur PMA, TOC und das Pregap gelöscht.
track | Löscht einen Track.
unreserve | Gibt einen reservierten Track wieder frei.
trtail | Löscht das Ende eines Tracks.
unclose | Gibt die letzte Session wieder frei.
session | Löscht die letzte Session.

Ein ganze CD-RW löscht man mit diesem Befehl:

user@linux ~$ cdrecord blank=all